Module javafx.base
Package javafx.beans.value

## Interface ObservableStringValue

- All Superinterfaces:
    `Observable`, `ObservableObjectValue<String>`, `ObservableValue<String>`
  All Known Subinterfaces:
    `TextInputControl.Content`
  All Known Implementing Classes:
    `JavaBeanStringProperty`, `ReadOnlyJavaBeanStringProperty`, `ReadOnlyStringProperty`, `ReadOnlyStringPropertyBase`, `ReadOnlyStringWrapper`, `SimpleStringProperty`, `SimpleStyleableStringProperty`, `StringBinding`, `StringExpression`, `StringProperty`, `StringPropertyBase`, `StyleableStringProperty`

      public interface ObservableStringValue
      extends ObservableObjectValue<String>

  An observable String value.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableObjectValue`, `ObservableValue`

- - ### Method Summary

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`